### Method

# EBackend DataFactory ref_backend_factory

since: 3.6

#### Declaration [src]

    EBackendFactory*
    e_data_factory_ref_backend_factory (
      EDataFactory* data_factory,
      const gchar* backend_name,
      const gchar* extension_name
    )

#### Description [src]

Returns the `EBackendFactory` for “`backend_name`:`extension_name`”, or `NULL` if no such factory is registered.

The returned `EBackendFactory` is referenced for thread-safety. Unreference the `EBackendFactory` with `g_object_unref()` when finished with it.

Available since: 3.6

#### Parameters

`backend_name`

  Type: `const gchar*`

  A backend name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extension_name`

  Type: `const gchar*`

  An extension name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EBackendFactory`

The `EBackendFactory` for `hash_key`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.